<!doctype html>
<html class="default no-js">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>ApplicationState | Vivifly</title>
	<meta name="description" content="Documentation for Vivifly">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="../assets/css/main.css">
</head>
<body>
<header>
	<div class="tsd-page-toolbar">
		<div class="container">
			<div class="table-wrap">
				<div class="table-cell" id="tsd-search" data-index="../assets/js/search.json" data-base="..">
					<div class="field">
						<label for="tsd-search-field" class="tsd-widget search no-caption">Search</label>
						<input id="tsd-search-field" type="text" />
					</div>
					<ul class="results">
						<li class="state loading">Preparing search index...</li>
						<li class="state failure">The search index is not available</li>
					</ul>
					<a href="../index.html" class="title">Vivifly</a>
				</div>
				<div class="table-cell" id="tsd-widgets">
					<div id="tsd-filter">
						<a href="#" class="tsd-widget options no-caption" data-toggle="options">Options</a>
						<div class="tsd-filter-group">
							<div class="tsd-select" id="tsd-filter-visibility">
								<span class="tsd-select-label">All</span>
								<ul class="tsd-select-list">
									<li data-value="public">Public</li>
									<li data-value="protected">Public/Protected</li>
									<li data-value="private" class="selected">All</li>
								</ul>
							</div>
							<input type="checkbox" id="tsd-filter-inherited" checked />
							<label class="tsd-widget" for="tsd-filter-inherited">Inherited</label>
							<input type="checkbox" id="tsd-filter-externals" checked />
							<label class="tsd-widget" for="tsd-filter-externals">Externals</label>
							<input type="checkbox" id="tsd-filter-only-exported" />
							<label class="tsd-widget" for="tsd-filter-only-exported">Only exported</label>
						</div>
					</div>
					<a href="#" class="tsd-widget menu no-caption" data-toggle="menu">Menu</a>
				</div>
			</div>
		</div>
	</div>
	<div class="tsd-page-title">
		<div class="container">
			<ul class="tsd-breadcrumb">
				<li>
					<a href="../globals.html">Globals</a>
				</li>
				<li>
					<a href="applicationstate.html">ApplicationState</a>
				</li>
			</ul>
			<h1>Interface ApplicationState</h1>
		</div>
	</div>
</header>
<div class="container container-main">
	<div class="row">
		<div class="col-8 col-content">
			<section class="tsd-panel tsd-comment">
				<div class="tsd-comment tsd-typography">
					<div class="lead">
						<p>Interface for the application state during a session</p>
					</div>
				</div>
			</section>
			<section class="tsd-panel tsd-hierarchy">
				<h3>Hierarchy</h3>
				<ul class="tsd-hierarchy">
					<li>
						<span class="target">ApplicationState</span>
					</li>
				</ul>
			</section>
			<section class="tsd-panel-group tsd-index-group">
				<h2>Index</h2>
				<section class="tsd-panel tsd-index-panel">
					<div class="tsd-index-content">
						<section class="tsd-index-section ">
							<h3>Properties</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="applicationstate.html#clickedplane" class="tsd-kind-icon">clicked<wbr>Plane</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="applicationstate.html#currentinformationbanner" class="tsd-kind-icon">current<wbr>Information<wbr>Banner</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="applicationstate.html#currentsituationid" class="tsd-kind-icon">current<wbr>SituationID</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="applicationstate.html#iscurrentlyuploading" class="tsd-kind-icon">is<wbr>Currently<wbr>Uploading</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="applicationstate.html#isdemomode" class="tsd-kind-icon">is<wbr>Demo<wbr>Mode</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="applicationstate.html#lastsituationid" class="tsd-kind-icon">last<wbr>SituationID</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="applicationstate.html#modelwasuploaded" class="tsd-kind-icon">model<wbr>Was<wbr>Uploaded</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="applicationstate.html#newsituationid" class="tsd-kind-icon">new<wbr>SituationID</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="applicationstate.html#nextsituationid" class="tsd-kind-icon">next<wbr>SituationID</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="applicationstate.html#planeselectionelementname" class="tsd-kind-icon">plane<wbr>Selection<wbr>Element<wbr>Name</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="applicationstate.html#selectedelement" class="tsd-kind-icon">selected<wbr>Element</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="applicationstate.html#showchooseimageareasmodal" class="tsd-kind-icon">show<wbr>Choose<wbr>Image<wbr>Areas<wbr>Modal</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="applicationstate.html#shownewelementtypemodal" class="tsd-kind-icon">show<wbr>New<wbr>Element<wbr>Type<wbr>Modal</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="applicationstate.html#showtimebasedtransitionmodal" class="tsd-kind-icon">show<wbr>Time<wbr>Based<wbr>Transition<wbr>Modal</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="applicationstate.html#stayoncurrentsituation" class="tsd-kind-icon">stay<wbr>OnCurrent<wbr>Situation</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="applicationstate.html#unityloadingprogress" class="tsd-kind-icon">unity<wbr>Loading<wbr>Progress</a></li>
							</ul>
						</section>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Properties</h2>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="clickedplane" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagOptional">Optional</span> clicked<wbr>Plane</h3>
					<div class="tsd-signature tsd-kind-icon">clicked<wbr>Plane<span class="tsd-signature-symbol">:</span> <a href="vector3.html" class="tsd-signature-type">Vector3</a></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/application-state.interface.tsx:21</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="currentinformationbanner" class="tsd-anchor"></a>
					<h3>current<wbr>Information<wbr>Banner</h3>
					<div class="tsd-signature tsd-kind-icon">current<wbr>Information<wbr>Banner<span class="tsd-signature-symbol">:</span> <a href="../globals.html#informationbannertype" class="tsd-signature-type">InformationBannerType</a></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/application-state.interface.tsx:9</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="currentsituationid" class="tsd-anchor"></a>
					<h3>current<wbr>SituationID</h3>
					<div class="tsd-signature tsd-kind-icon">current<wbr>SituationID<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/application-state.interface.tsx:8</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="iscurrentlyuploading" class="tsd-anchor"></a>
					<h3>is<wbr>Currently<wbr>Uploading</h3>
					<div class="tsd-signature tsd-kind-icon">is<wbr>Currently<wbr>Uploading<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">boolean</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/application-state.interface.tsx:13</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="isdemomode" class="tsd-anchor"></a>
					<h3>is<wbr>Demo<wbr>Mode</h3>
					<div class="tsd-signature tsd-kind-icon">is<wbr>Demo<wbr>Mode<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">boolean</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/application-state.interface.tsx:23</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="lastsituationid" class="tsd-anchor"></a>
					<h3>last<wbr>SituationID</h3>
					<div class="tsd-signature tsd-kind-icon">last<wbr>SituationID<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/application-state.interface.tsx:22</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="modelwasuploaded" class="tsd-anchor"></a>
					<h3>model<wbr>Was<wbr>Uploaded</h3>
					<div class="tsd-signature tsd-kind-icon">model<wbr>Was<wbr>Uploaded<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">boolean</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/application-state.interface.tsx:19</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="newsituationid" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagOptional">Optional</span> new<wbr>SituationID</h3>
					<div class="tsd-signature tsd-kind-icon">new<wbr>SituationID<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">undefined</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/application-state.interface.tsx:16</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="nextsituationid" class="tsd-anchor"></a>
					<h3>next<wbr>SituationID</h3>
					<div class="tsd-signature tsd-kind-icon">next<wbr>SituationID<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/application-state.interface.tsx:12</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="planeselectionelementname" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagOptional">Optional</span> plane<wbr>Selection<wbr>Element<wbr>Name</h3>
					<div class="tsd-signature tsd-kind-icon">plane<wbr>Selection<wbr>Element<wbr>Name<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">undefined</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">string</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/application-state.interface.tsx:20</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="selectedelement" class="tsd-anchor"></a>
					<h3>selected<wbr>Element</h3>
					<div class="tsd-signature tsd-kind-icon">selected<wbr>Element<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">string</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/application-state.interface.tsx:10</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="showchooseimageareasmodal" class="tsd-anchor"></a>
					<h3>show<wbr>Choose<wbr>Image<wbr>Areas<wbr>Modal</h3>
					<div class="tsd-signature tsd-kind-icon">show<wbr>Choose<wbr>Image<wbr>Areas<wbr>Modal<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">boolean</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/application-state.interface.tsx:15</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="shownewelementtypemodal" class="tsd-anchor"></a>
					<h3>show<wbr>New<wbr>Element<wbr>Type<wbr>Modal</h3>
					<div class="tsd-signature tsd-kind-icon">show<wbr>New<wbr>Element<wbr>Type<wbr>Modal<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">boolean</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/application-state.interface.tsx:14</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="showtimebasedtransitionmodal" class="tsd-anchor"></a>
					<h3>show<wbr>Time<wbr>Based<wbr>Transition<wbr>Modal</h3>
					<div class="tsd-signature tsd-kind-icon">show<wbr>Time<wbr>Based<wbr>Transition<wbr>Modal<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">boolean</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/application-state.interface.tsx:18</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="stayoncurrentsituation" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagOptional">Optional</span> stay<wbr>OnCurrent<wbr>Situation</h3>
					<div class="tsd-signature tsd-kind-icon">stay<wbr>OnCurrent<wbr>Situation<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">undefined</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">false</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">true</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/application-state.interface.tsx:17</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="unityloadingprogress" class="tsd-anchor"></a>
					<h3>unity<wbr>Loading<wbr>Progress</h3>
					<div class="tsd-signature tsd-kind-icon">unity<wbr>Loading<wbr>Progress<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/application-state.interface.tsx:11</li>
						</ul>
					</aside>
				</section>
			</section>
		</div>
		<div class="col-4 col-menu menu-sticky-wrap menu-highlight">
			<nav class="tsd-navigation primary">
				<ul>
					<li class="globals  ">
						<a href="../globals.html"><em>Globals</em></a>
					</li>
				</ul>
			</nav>
			<nav class="tsd-navigation secondary menu-sticky">
				<ul class="before-current">
				</ul>
				<ul class="current">
					<li class="current tsd-kind-interface">
						<a href="applicationstate.html" class="tsd-kind-icon">Application<wbr>State</a>
						<ul>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="applicationstate.html#clickedplane" class="tsd-kind-icon">clicked<wbr>Plane</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="applicationstate.html#currentinformationbanner" class="tsd-kind-icon">current<wbr>Information<wbr>Banner</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="applicationstate.html#currentsituationid" class="tsd-kind-icon">current<wbr>SituationID</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="applicationstate.html#iscurrentlyuploading" class="tsd-kind-icon">is<wbr>Currently<wbr>Uploading</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="applicationstate.html#isdemomode" class="tsd-kind-icon">is<wbr>Demo<wbr>Mode</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="applicationstate.html#lastsituationid" class="tsd-kind-icon">last<wbr>SituationID</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="applicationstate.html#modelwasuploaded" class="tsd-kind-icon">model<wbr>Was<wbr>Uploaded</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="applicationstate.html#newsituationid" class="tsd-kind-icon">new<wbr>SituationID</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="applicationstate.html#nextsituationid" class="tsd-kind-icon">next<wbr>SituationID</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="applicationstate.html#planeselectionelementname" class="tsd-kind-icon">plane<wbr>Selection<wbr>Element<wbr>Name</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="applicationstate.html#selectedelement" class="tsd-kind-icon">selected<wbr>Element</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="applicationstate.html#showchooseimageareasmodal" class="tsd-kind-icon">show<wbr>Choose<wbr>Image<wbr>Areas<wbr>Modal</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="applicationstate.html#shownewelementtypemodal" class="tsd-kind-icon">show<wbr>New<wbr>Element<wbr>Type<wbr>Modal</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="applicationstate.html#showtimebasedtransitionmodal" class="tsd-kind-icon">show<wbr>Time<wbr>Based<wbr>Transition<wbr>Modal</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="applicationstate.html#stayoncurrentsituation" class="tsd-kind-icon">stay<wbr>OnCurrent<wbr>Situation</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="applicationstate.html#unityloadingprogress" class="tsd-kind-icon">unity<wbr>Loading<wbr>Progress</a>
							</li>
						</ul>
					</li>
				</ul>
				<ul class="after-current">
				</ul>
			</nav>
		</div>
	</div>
</div>
<footer class="with-border-bottom">
	<div class="container">
		<h2>Legend</h2>
		<div class="tsd-legend-group">
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class"><span class="tsd-kind-icon">Method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-interface"><span class="tsd-kind-icon">Property</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static method</span></li>
			</ul>
		</div>
	</div>
</footer>
<div class="container tsd-generator">
	<p>Generated using <a href="https://typedoc.org/" target="_blank">TypeDoc</a></p>
</div>
<div class="overlay"></div>
<script src="../assets/js/main.js"></script>
</body>
</html>